Unit SF37R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF12_p, SF36R_p, SF22R_p;

function SF37R(X :Real; A :Real; B :Real; var IERR :Integer): Real;

implementation

function SF37R(X :Real; A :Real; B :Real; var IERR :Integer): Real;
var
IERR1 :Integer;
const
SYS059 :Real = 3.4E38;
label
_1,_2,_3,_4;
begin
{ Result -    SF37R  FORTRANe }
IERR := 0;
if ( (X >= 0.0) ) and ( (X <= 1.0) ) 
 then goto _1;
IERR := 65;
goto _3;
_1:
if ( (A > 0.0) ) and ( (B > 0.0) ) 
 then goto _2;
IERR := 66;
goto _3;
_2:
Result := SF36R(X,A,B,IERR1)*SF22R(A,B,IERR1);
goto _4;
_3:
UTSF12(IERR,37);
Result := SYS059;
_4:
exit;
end;

end.
